{{page-title (capitalize (t "sign in"))}}

<div class="container pt-5">
  <div class="row">
    <div class={{if this.hasArticle "col login-article" "col-md-3 col-lg-4"}}>
      {{#if this.hasArticle}}
        <Article::Viewer @value={{@model.article.contentBlocks}} />
      {{/if}}
    </div>

    <div class="col-md-6 col-lg-4 order-first order-md-last">
      <div class="card mb-5">
        <div class="card-body">
          <h4 class="card-title">
            {{capitalize (t "welcome to")}}
            <b>{{this.space.name}}</b>!
          </h4>
          <hr />

          {{#if this.errorMessage}}
            <div class="alert alert-danger" role="alert">
              {{this.errorMessage}}
            </div>
          {{/if}}

          {{#if this.fastboot.isFastBoot}}
            <div class="text-center mt-5 mb-5">
              <div class="spinner-border spinner-border-sm" role="status">
                <span class="d-none">Loading...</span>
              </div>
            </div>
          {{else}}
            <form {{action "authenticate" on="submit"}}>
              <div class="mb-3">
                <label for="identification">{{capitalize (t "e-mail")}}</label>
                <Input class="form-control" id="identification" placeholder={{capitalize (t "enter your e-mail")}}
                  @value={{this.identification}} />
              </div>

              <div class="mb-3">
                <label for="password">{{capitalize (t "password")}}</label>
                <Input class="form-control" id="password" placeholder={{capitalize (t "enter password")}}
                  @type="password" @value={{this.password}} />
              </div>

              <div class="float-end mt-2">
                <LinkTo @route="login.reset">
                  {{capitalize (t "forgot your password?")}}
                </LinkTo>
              </div>

              <button class="btn btn-success" disabled={{this.isLoading}} type="submit">
                {{#if this.isLoading}}
                  <FaIcon @icon="spinner" @spin={{true}} />
                {{/if}}
                {{capitalize (t "sign in")}}
              </button>
            </form>
          {{/if}}
        </div>

        {{#if @model.googleClientId}}
          <ul class="list-group list-group-flush">
            <li class="list-group-item">
              <Login::Google @onLogIn={{this.googleLogin}} />
            </li>
          </ul>
        {{/if}}

        {{#if @model.registrationEnabled}}
          <ul class="list-group list-group-flush list-group-register">
            <li class="list-group-item">
              {{capitalize (t "you don't have an account?")}}
              <br />
              {{#if @model.registerUrl}}
                <Link @to={{@model.registerUrl}}>
                  {{capitalize (t "register here.")}}
                </Link>
              {{else}}
                <LinkTo @route="login.register">
                  {{capitalize (t "register here.")}}
                </LinkTo>
              {{/if}}
            </li>
            <li class="list-group-item list-group-confirmation">
              {{capitalize (t "didn't receive a confirmation email?")}}
              <br />
              <LinkTo @route="login.activate">
                {{capitalize (t "request a new one.")}}
              </LinkTo>
            </li>
          </ul>
        {{/if}}
      </div>
    </div>
  </div>
</div>